## NAME

r.in.poly - Create raster maps from ascii polygon/line data files in the current directory.
(GRASS Raster Program)

## SYNOPSIS

r.in.poly
r.in.poly help
r.in.poly input=name output=name [TITLE="phrase"] [rows=value]

## DESCRIPTION

r.in.poly allows the creation of GRASS binary raster maps from ASCII files in the current directory containing polygon and linear features.

## OPTIONS

### Parameters:

input=name
  Unix input file, in ascii format, containing the polygon and linear features. The format of this file is described in the section INPUT FORMAT below.
output=name
  Raster output file
TITLE="phrase"
  Title for resultant raster map (optional)
rows=value
  Number of rows to hold in memory (default: 512). This parameter allows users with less memory (or more) on their system to control how much memory r.in.poly uses.

## INPUT FORMAT

The input format for the input file consists of sections describing either polygonal areas or linear features. The basic format is:

    A                      <for polygonal areas>
        easting northing
        .
        .
        .
    =   cat# label
    L                      <for linear features>
        easting northing
        .
        .
        .
    =   cat# label

The A signals the beginning of a polygon. It must appear in the first column. The L signal the beginning of a linear feature. It also must appear in the first column. The coordinates of the vertices of the polygon, or the coordinates defining the linear feature follow and must have a space in the first column and at least one space between the easting and the northing. To give meaning to the features, the = indicates that the feature currently being processed has category value cat# (which must be an integer) and a label (which may be more than one word, or which may be omitted).

## SEE ALSO

r.digit for interactive on-screen polygon/line digitizing for raster maps

r.colors for creates color tables for raster maps

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:34 $